#!/bin/bash
find . -type f -print | grep -v '\.pyc$' | grep -v CVS | grep -v 'stamps/.*_.*' | while read f
do
  STYLE="$(slashx/crlf-style < $f)"
  if test $STYLE == NONE -o $STYLE == BAD; then
    echo skipping $f style $STYLE
  elif test $STYLE == LF; then
    echo "skipping $f style $STYLE [ OK ]"
  elif test $STYLE == CRLF -o $STYLE == "LF-CRLF"; then
    echo "converting $f style $STYLE => LF"
    cat $f | slashx/stripm > $f.new$$
    mv $f.new$$ $f
  fi
done
