from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class MSysCrypt(Package):
  def full_name (self):
    return "msyscrypt-1.1-1"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/crypt-1.1-1-MSYS-1.0.11-1.tar.bz2", 
                        "2d59cc6bf29ecc8b2e5d0d254e51f10f")

  def extract (self):
    pass

  def patch (self):
    pass

  def configure (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    self.dist_image_with_tarball ("crypt-1.1-1-MSYS-1.0.11-1.tar.bz2", "msys")

  def install (self):
    self.install_with_dist_image()

def package():
  return MSysCrypt()
