from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class W32ApiDev(Package):
  def full_name (self):
    return "w32api-3.13-dev"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/w32api-3.13-mingw32-dev.tar.gz", 
                        "a50fff6bc1e1542451722e2650cb53b4")

  def extract (self):
    pass

  def patch (self):
    pass

  def configure (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    self.dist_image_with_tarball ("w32api-3.13-mingw32-dev.tar.gz", "mingw")

  def install (self):
    self.install_with_dist_image()

def package():
  return W32ApiDev()
