#include <stdio.h>
#ifdef WIN32
#include <io.h>	/* win32 */
#endif
#include <fcntl.h>

int
main (int argc, char **argv)
{
    int ch;

#ifdef WIN32
    setmode(fileno(stdout), O_BINARY);
    setmode(fileno(stdin), O_BINARY);
#endif

    while ((ch = getchar()) >= 0)
    {
	if (ch != '\r')
	    putchar (ch);
    }
    return 0;
}

// vim:set ts=8 sts=4 sw=4:
