from Path import Path

class Config:
  PREFIX = Path ("/c/beast")
  SRC_DIR = Path ("/c/beastbuild/src")
  DOWNLOAD = Path ('/c/beastbuild/download')
  BEASTBUILD = Path ("/c/beastbuild-git")
  TMP = Path ("/c/beastbuild/tmp")
  IMAGES = Path ("/c/beastbuild/images")
  ENABLE_DEBUG = False
  PARALLEL_MAKE_JOBS = 1           # use make -jN to compile sources
  # change **developer** to your gnome git account:
  REPOSITORY = { "git.gnome.org" : "ssh://**developer**@git.gnome.org/git/" }
 
config = Config()
