from buildutils import download_and_check, configure, make, apply_patch, git_checkout
import utils
from package import Package
from Path import Path

class BeastDocs(Package):
  def full_name (self):
    return "beastdocs"

  def download (self):
    git_checkout ("http://space.twc.de/public/git", "beastdocs.git", "master")

  def extract (self):
    pass

  def patch (self):
    pass

  def configure (self):
    configure ([ "sh", "configure", "--prefix", self.config.PREFIX.msys() ], "beastdocs")

  def compile (self):
    self.compile_with_make ("beastdocs")

  def dist_image (self):
    self.dist_image_with_make_install ("beastdocs")

  def install (self):
    self.install_with_dist_image()

def package():
  return BeastDocs()
