from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class Cvs(Package):
  def full_name (self):
    return "cvs-1.11.22"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/cvs-1.11.22-MSYS-1.0.11-1-bin.tar.gz", 
                        "e90419e663c61d4b187e1af08a5d768b")

  def extract (self):
    pass

  def patch (self):
    pass

  def configure (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    self.dist_image_with_tarball ("cvs-1.11.22-MSYS-1.0.11-1-bin.tar.gz", "msys")

  def install (self):
    self.install_with_dist_image()

def package():
  return Cvs()
