from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class MinGWRTDev(Package):
  def full_name (self):
    return "mingwrt-3.15.2-dev"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/mingwrt-3.15.2-mingw32-dev.tar.gz", 
                        "f24d63744af66b54547223bd5476b8f0")

  def extract (self):
    pass

  def patch (self):
    pass

  def configure (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    self.dist_image_with_tarball ("mingwrt-3.15.2-mingw32-dev.tar.gz", "mingw")

  def install (self):
    self.install_with_dist_image()

def package():
  return MinGWRTDev()
