from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class MSysCore(Package):
  def full_name (self):
    return "msysCORE-1.0.11"

  def download (self):
    download_and_check ("http://downloads.sourceforge.net/project/mingw/MSYS%20Base%20System/msys-1.0.11/msysCORE-1.0.11-bin.tar.gz?use_mirror=surfnet",
                        "102e4767c393db578c440f67882f813f")

  def extract (self):
    pass

  def patch (self):
    pass

  def configure (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    self.dist_image_with_tarball ("msysCORE-1.0.11-bin.tar.gz", "msys")

  def install (self):
    self.install_with_dist_image()

def package():
  return MSysCore()
