from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class MSysLibZ(Package):
  def full_name (self):
    return "msys-libz-1.2.3"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/zlib-1.2.3-MSYS-1.0.11-1.tar.bz2",
                        "783472702ebbdf6566b5e802274671da")

  def extract (self):
    pass

  def patch (self):
    pass

  def configure (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    self.dist_image_with_tarball ("zlib-1.2.3-MSYS-1.0.11-1.tar.bz2", "msys")

  def install (self):
    self.install_with_dist_image()

def package():
  return MSysLibZ()
