from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class Ssh(Package):
  def full_name (self):
    return "ssh-4.7p1"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/openssh-4.7p1-MSYS-1.0.11-1-bin.tar.gz",
                        "bfa559b255c9b53dd5b3ca41c4b851d2")

  def extract (self):
    pass
  
  def patch (self):
    pass

  def configure (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    self.dist_image_with_tarball ("openssh-4.7p1-MSYS-1.0.11-1-bin.tar.gz", "msys")

  def install (self):
    self.install_with_dist_image()

  def depends (self):
    return [ 'openssl', 'minires', 'msyslibz' ]

def package():
  return Ssh()
