from package import Package
import utils
from buildutils import download_and_check, configure, make, apply_patch
from Path import Path

class Vim(Package):
  def full_name (self):
    return "vim-7.1"

  def download (self):
    download_and_check ("http://switch.dl.sourceforge.net/sourceforge/mingw/vim-7.1-MSYS-1.0.11-1-bin.tar.gz", 
                        "badec9e8f1bc09e5c8a842b60daad8f5")

  def extract (self):
    pass

  def patch (self):
    pass

  def configure (self):
    pass

  def compile (self):
    pass

  def dist_image (self):
    self.dist_image_with_tarball ("vim-7.1-MSYS-1.0.11-1-bin.tar.gz", "msys")

  def install (self):
    self.install_with_dist_image()

def package():
  return Vim()
